﻿* Encoding: UTF-8.

*****************************************
****** ANALYZE
*****************************************

*****************************************
****** CREATE AUXILLIARY VARIABLES
*****************************************

If (gender="mal") d_gender=0.
Execute.
If (gender="fem") d_gender=1.
Execute.
Variable Label d_gender 'gender'.
Value Label d_gender 0 'male' 1 'female'.

If (ball=5) e_ball=1.
Execute.
If (ball=10) e_ball=0.
Execute.
If (ball~=5 and ball~=10) e_ball=99.
Execute.
Variable Label e_ball 'Behavior in the bat and ball question'.
Value Label e_ball 0 'impulsive' 1 'correct' 99 'rest'.

If (machine=5) e_machine=1.
Execute.
If (machine=100) e_machine=0.
Execute.
If (machine~=5 and machine~=100) e_machine=99.
Execute.
Variable Label e_machine 'Behavior in the widgets question'.
Value Label e_machine 0 'impulsiive' 1 'correct' 99 'rest'.

If (roses=47) e_roses=1.
Execute.
If (roses=24) e_roses=0.
Execute.
If (roses~=47 and roses~=24) e_roses=99.
Execute.
Variable Label e_roses 'Behavior in the lily pads question'.
Value Label e_roses 0 'impulsive' 1 'correct' 99 'rest'.

If (e_ball=1) x_ball=1.
Execute.
If (e_ball~=1) x_ball=0.
Execute.
If (e_machine=1) x_machine=1.
Execute.
If (e_machine~=1) x_machine=0.
Execute.
If (e_roses=1) x_roses=1.
Execute.
If (e_roses~=1) x_roses=0.
Execute.

Compute crt_sum_correct=x_ball+x_machine+x_roses.
Execute.
Variable Label crt_sum_correct '# of correct decisions in the CRT test'.

If (crt_sum_correct=2 or crt_sum_correct=3) crt_sum_correct_high=1.
Execute.
If (crt_sum_correct=0 or crt_sum_correct=1) crt_sum_correct_high=0.
Execute.
Variable Label crt_sum_correct_high 'High or low # of correct decisions in the CRT-test'.
Value Label crt_sum_correct_high 0 'crt_sum_correct<=1' 1 'crt_sum_correct>=2'.

If (now_month=2) patience_now_month=100.
Execute.
If (now_month=1) patience_now_month=0.
Execute.
Variable Label patience_now_month 'Fraction of subject making the (more patient) choice'.

If (linda=5) d_linda=100.
Execute.
If (linda=6) d_linda=0.
Execute.
Variable Label d_linda 'Fraction of subjects giving the correct bank-answer in the Linda question'.


*****************************************
****** Section 2.1 of the paper
*****************************************

Tables
/observation crt_sum_correct
/table crt_sum_correct.

Tables
/table crt_sum_correct.

Tables
/observation crt_sum_correct
/table gender by crt_sum_correct.

NPAR TESTS M-W= crt_sum_correct  BY d_gender(0,1).

Tables
/table e_ball.

Tables
/table e_machine.

Tables
/table e_roses.

*****************************************
****** Section 2.2 of the paper
*****************************************

Tables
/observation age
/table age.

Ctables
/table gender [colpct].

Ctables
/table student [colpct].

Ctables
/table fieldofstudy [colpct].


*****************************************
****** Section 3.1 of the paper
*****************************************

USE ALL.
COMPUTE filter_$=(get_lottery~=-99).
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

CROSSTABS
  /TABLES=crt_sum_correct_high  BY get_lottery
  /FORMAT= AVALUE TABLES
  /STATISTIC=CHISQ
  /CELLS= COUNT ROW
  /COUNT ROUND CELL.

USE ALL.
COMPUTE filter_$=(pay_lottery~=-99).
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

CROSSTABS
  /TABLES=crt_sum_correct_high  BY pay_lottery
  /FORMAT= AVALUE TABLES
  /STATISTIC=CHISQ
  /CELLS= COUNT ROW
  /COUNT ROUND CELL.

*****************************************
****** Section 3.2 of the paper
*****************************************

USE ALL.
COMPUTE filter_$=(now_month~=-99).
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

CROSSTABS
  /TABLES=crt_sum_correct_high  BY patience_now_month
  /FORMAT= AVALUE TABLES
  /STATISTIC=CHISQ
  /CELLS= COUNT ROW
  /COUNT ROUND CELL.

*****************************************
****** Section 3.3 of the paper
*****************************************

USE ALL.
COMPUTE filter_$=(linda~=-99).
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

CROSSTABS
  /TABLES=d_linda  BY crt_sum_correct_high
  /FORMAT= AVALUE TABLES
  /STATISTIC=CHISQ
  /CELLS= COUNT ROW
  /COUNT ROUND CELL .

*****************************************
****** Section 3.4 of the paper
*****************************************

USE ALL.
COMPUTE filter_$=(lostrommeln_3_7~=-99).
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

Table
/observation lostrommeln_3_7
/table lostrommeln_3_7 by crt_sum_correct_high.

NPAR TESTS M-W= lostrommeln_3_7  BY crt_sum_correct_high(0,1).


*****************************************
****** Section 3.5 of the paper
*****************************************

USE ALL.
COMPUTE filter_$=(sms_alle_drei~=-99).
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

Tables
/observation sms_alle_drei
/table zehn_oder_sechzig > sms_alle_drei by crt_sum_correct_high.




